Subject: [Cbor] 🔔 WG adoption call on draft-bormann-cbor-tags-oid-07

From: Francesca Palombini <[email-masked]>
Date: Wed, 15 Jul 2020 17:19:52 +0000

CBOR wg,

This starts a WG adoption call on https://tools.ietf.org/html/ draft-bormann-cbor-tags-oid-07, ending on *Sunday, July 26*.  Please reply to this thread by stating whether you support the adoption, and indicate your willingness to review the draft if it becomes a working group document.

We will announce the result of the adoption call at our IETF 108 meeting, Monday, July 27.

CBOR Chairs
Jim & Francesca

---

From: Ira McDonald <[email-masked]>
Date: Wed, 15 Jul 2020 13:40:55 -0400

Hi,

Yes, I support CBOR WG adoption of this draft.  I've just read most of it
and find it important and well-written.

Cheers,
- Ira

*Ira McDonald (Musician / Software Architect)Co-Chair - TCG Trusted
Mobility Solutions WG*

*Co-Chair - TCG Metadata Access Protocol SG*

*Chair - Linux Foundation Open Printing WGSecretary - IEEE-ISTO Printer
Working GroupCo-Chair - IEEE-ISTO PWG Internet Printing Protocol WGIETF
Designated Expert - IPP & Printer MIBBlue Roof Music / High North
Inchttp://sites.google.com/site/blueroofmusic
<http://sites.google.com/site/blueroofmusic>http://sites.google.com/site/highnorthinc
<http://sites.google.com/site/highnorthinc>mailto: [email-masked]
<[email-masked]>(permanent) PO Box 221  Grand Marais, MI 49839
906-494-2434*

On Wed, Jul 15, 2020 at 1:20 PM Francesca Palombini <francesca.palombini=
[email-masked]> wrote:

>  CBOR wg,
>
> This starts a WG adoption call on https://tools.ietf.org/html/
> draft-bormann-cbor-tags-oid-07, ending on *Sunday, July 26*.  Please reply
> to this thread by stating whether you support the adoption, and indicate
> your willingness to review the draft if it becomes a working group document.
>
> _______________________________________________
> CBOR mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cbor
>

---

From: Laurence Lundblade <[email-masked]>
Date: Wed, 15 Jul 2020 12:00:22 -0700

+1

> On Jul 15, 2020, at 10:40 AM, Ira McDonald <[email-masked]> wrote:
> 
> Hi,
> 
> Ira McDonald (Musician / Software Architect)
> Co-Chair - TCG Trusted Mobility Solutions WG
> Co-Chair - TCG Metadata Access Protocol SG
> Chair - Linux Foundation Open Printing WG
> Secretary - IEEE-ISTO Printer Working Group
> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music / High North Inc
> http://sites.google.com/site/blueroofmusic <http://sites.google.com/site/blueroofmusic>
> http://sites.google.com/site/highnorthinc <http://sites.google.com/site/highnorthinc>
> mailto: [email-masked] <mailto:[email-masked]>
> (permanent) PO Box 221  Grand Marais, MI 49839  906-494-2434
> 
> 
> On Wed, Jul 15, 2020 at 1:20 PM Francesca Palombini <francesca.palombini=[email-masked] <mailto:[email-masked]>> wrote:
>  CBOR wg,
> 
> This starts a WG adoption call on https://tools.ietf.org/html/ <https://tools.ietf.org/html/> draft-bormann-cbor-tags-oid-07, ending on *Sunday, July 26*.  Please reply to this thread by stating whether you support the adoption, and indicate your willingness to review the draft if it becomes a working group document.
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/cbor <https://www.ietf.org/mailman/listinfo/cbor>

---

From: Michael Richardson <[email-masked]>
Date: Wed, 15 Jul 2020 20:21:02 -0400

Please adopt this document so that we can discuss it more.

I would have no objection to going directly to WGLC as is, but we probably
need a review from Russ Housley, Sean Turner or ...

Minor things I could see improving:
1) I think that the PCRE description in section 2.1 may be more heat than light.
  For those who speak PCRE, it's great, and for those who don't, it just mystifies.
  Those who speak PCRE probably already got the english text.

2) I have some concerns about the complexity of the Tag Factoring when it
   comes to the nesting.

   Also, as I read it the first time, I thought it meant:

   <TBD111>"bstr for 1.3.6.1.2.1"[126,127,128,129]
=>
   [ <TBD111>"bstr for 1.3.6.1.2.1.126",
     <TBD111>"bstr for 1.3.6.1.2.1.127",
     <TBD111>"bstr for 1.3.6.1.2.1.128"
     <TBD111>"bstr for 1.3.6.1.2.1.129"]

   but that's *NOT* the intention :-)

3) It would probably be good to have a few use cases.
   If there is an intention to be able to round trip signed certificates,
   then this should be explicit.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Carsten Bormann <[email-masked]>
Date: Thu, 16 Jul 2020 07:18:09 +0200

>  Those who speak PCRE probably already got the english text.

I generally benefit from having a concept explained in different ways.
This allows me to verify my nascent understanding.

(We need to make sure that it is clear that this is just explanation, an “example” in some way, and not the normative part — that is in RFC 6256.)

> 2) I have some concerns about the complexity of the Tag Factoring when it

Indeed.  If we want to keep it, we need to find constraints on the interpretation that are manageable but maintain some usefulness.

>   but that's *NOT* the intention :-)

No.  Due to the way OIDs are used, that is also rarely what is needed.

>   then this should be explicit.

You mean as in draft-mattsson-cose-cbor-cert-compress?
They get by without OIDs…

Grüße, Carsten

---

From: Sean Leonard <[email-masked]>
Date: Sun, 26 Jul 2020 23:07:04 -0700

Hello CBOR wg:

Between COVID-19 and other personal/professional responsibilities, I had 
to take a few months off the mailing lists.

That being said, I saw this pass by, and yes, I support adoption of this 
draft. :-)

Best regards,

Sean

---

From: Francesca Palombini <[email-masked]>
Date: Thu, 30 Jul 2020 17:08:38 +0000

This concludes the WG adoption call. As stated during IETF 108, the document is adopted. Authors please re-submit with draft-ietf-cbor-... in the document's name.

Thanks,
Francesca & Jim

On 15/07/2020, 19:20, "Francesca Palombini" <[email-masked]> wrote:

     CBOR wg,

    CBOR Chairs
    Jim & Francesca